@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    box-sizing: border-box;
    margin: 0;
    
    font-family: "Roboto", sans-serif;
    color: rgb(99, 99, 99);
}
body {
    font-size: 12px;
}

small {
    font-size: 0.8em;
}

.white {
    color: white;
}
.dim-gray {
    color: rgb(172, 172, 172);
}

.main-content {
    min-height: 80vh;
}

.full-width {
    width: 100%;
}

select {
    background-color: #fff;
    background-repeat: no-repeat;
    background-position: right .7em top 50%, 0 0;
    background-size: .65em auto;
}

select:focus, input:focus, a:focus, button, textarea:focus {
    outline: none;
}

input[type="text"], input[type="time"], input[type="number"], input[type="password"], input[type="email"], textarea, select {
    padding: 5px;
    border: solid 0.5px rgba(189, 189, 189, 0.635);
    width: 100%;
}
input[type="text"].error, input[type="number"].error, input[type="text"].error, input[type="password"].error, input[type="email"].error {
    padding: 5px;
    border: solid 1px red;
}

input:not([type="button"]):active, input:not([type="submit"]):active, input:not([type="reset"]):active, select:active,
input:not([type="button"]):focus, input:not([type="submit"]):focus, input:not([type="reset"]):focus, select:focus
{
    border: solid 0.5px rgb(146, 146, 146);
}


.btn {
    padding: 6px;
}


.text-center { text-align: center; }
h1, h2, h3, h4, h5, .margin-top-10 {
    margin-top: 10px;
}
.margin-top-15 { margin-top: 15px; }
.margin-top-20 { margin-top: 20px; }
.underline { text-decoration: underline; }

h1 { font-size: 35px !important; }
h2 { font-size: 30px !important; }
h3 { font-size: 25px !important; }
h4 { font-size: 15px !important; }
h5 { font-size: 10px !important; }

.container {
    margin: auto;
}

table {
    border: 0;
    border-collapse: collapse;
}


table.table th { padding-top: 15px; padding-bottom: 15px; }
table.table.table-bordered th { padding-top: 10px; padding-bottom: 10px; }
table.table.table-bordered td, table.table.table-bordered th {
    border: solid 0.5px rgba(225, 225, 225, 0.735);
}
table.table td { padding-top: 10px; padding-bottom: 10px; }
table.table.table-sm td { padding-top: 5px; padding-bottom: 5px; }
table.table thead {
    background-color: white;
    border-bottom: solid 0.5px rgba(225, 225, 225, 0.735);
    box-shadow: 0px 2px 3px 0.5px rgb(213, 213, 213);
    margin-bottom: 5px;
}
table.table-hover tbody tr {
    transition: all .1s linear;
}
table.table-hover tbody tr:hover {
    background-color: rgba(245, 245, 245, 0.871);
}

/* XS */
@media (min-width: 576px) {
    .container { width: 100% !important; }
}

/* SM */
@media (min-width: 768px) {
    .container { width: 100% !important; }
}

/* LG */
@media (min-width: 992px) {
    .container { width: 100% !important; }
}

/* XL */
@media (min-width: 1200px) {
    .container { width: 80% !important; }
}

/* XXL */
@media (min-width: 1400px) {
    .container { width: 80% !important; }
}

.text-danger {
    color: rgb(224, 55, 55);
}
